nprogresstracker.h File Reference

Facilitates progress tracking and cancellation for long operations. More...

`#include "regina-core.h"`
`#include "utilities/nthread.h"`
`#include <string>`

## Classes

class | regina::NProgressTracker
| Manages progress tracking and cancellation polling for long operations. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Facilitates progress tracking and cancellation for long operations.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).